/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: LoaderManager.java 96 2006-02-24 09:35:32Z ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.classloader;

import java.net.URL;
import java.net.URLClassLoader;
import java.util.List;

import org.objectweb.petals.PetalsException;

/**
 * 
 * @version $Rev: 96 $ $Date: 2006-02-24 10:35:32 +0100 (ven., 24 févr. 2006) $
 * @since	Petals 1.0
 * @author	<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public interface LoaderManager {

    /**
     * Must not return null.
     * @param classLoaderId
     * @param urls
     * @param classpathUrls
     * @param useParentFirst
     * @return
     * @throws PetalsException
     */
    public URLClassLoader createClassLoader(String classLoaderId, URL[] urls, List<String> classpathUrls,
            boolean useParentFirst) throws PetalsException;

    /**
     * Must not return null.
     * @param baseUrls
     * @param classpathUrls
     * @param useParentFirst
     * @return
     * @throws PetalsException
     */
	public URLClassLoader createClassLoader(URL[] baseUrls, List<String> classpathUrls, boolean useParentFirst)
            throws PetalsException;

    public boolean containsClassLoader(String classLoaderId);

	public void deleteClassLoader(String classLoaderId);
}
