/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InterfaceNamesHelper.java 204 2006-04-11 11:57:06Z ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.util;

/**
 * @version	$Rev: 204 $ $Date: 2006-04-11 13:57:06 +0200 (mar., 11 avr. 2006) $
 * @since	Petals 1.0
 * @author	<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public class InterfaceNamesHelper {

	/**
	 * Platform Component :: Repository Service
	 */
	public static final String PLATFORM_REPOSITORY_NAME = "repository";

	/**
	 * Global Component :: monolog Logger
	 */
	public static final String LOGGER_NAME = "logger";

	/**
	 * Global Component :: monolog factory
	 */
	public static final String MONOLOG_FACTORY_NAME = "monolog-factory";

	
	/**
	 * Platform Component :: Loader Service
	 */
	public static final String PLATFORM_CLASSLOADING_NAME = "classloader";

    /**
     * JBI Container :: Component Framework
     */
	public static final String JBI_FRAMEWORK_NAME = "framework";
	
    /**
     * JBI Container :: JMX Agent Admin
     */
	public static final String JBI_JMXADMIN_NAME = "jmx-admin";
	
    /**
     * JMX Agent :: MBean Server Admin
     */
	public static final String JMXAGENT_MBEANSERVERADMIN_NAME = "mbean-server";

    /**
     * JBI Container :: Messaging Framework
     */
	public static final String JBI_MESSAGING_NAME = "messaging";
	
    /**
     * JBI Container :: Registry Framework
     */
	public static final String JBI_REGISTRY_NAME = "registry";

	/**
     * JBI Container :: Registry Framework
     */
	public static final String JBI_ROUTER_NAME = "router";
	
	/**
     * JBI Container :: Transporter 
     */
	public static final String JBI_TRANSPORTER_NAME = "transporter";
	
	/**
     * JBI Container :: Installation 
     */
	public static final String JBI_INSTALLATION_NAME = "installation";
	
	/**
     * JBI Container :: Deployment 
     */
	public static final String JBI_DEPLOYMENT_NAME = "deployment";
	
	/**
     * JBI Container :: Deployment 
     */
	public static final String JBI_ADMIN_NAME = "admin";
	
	
	/**
	 * No constructor for this class.
	 */
	private InterfaceNamesHelper() {
		super();
	}

}
